#include "cdutils_k.h"
#include "cdutils_core.h"

using namespace CDUtils;

KInterface K;


KInterface::KInterface(): Interface(CDType::cdK) {
}


void KInterface::directChange(const CDType & k) {
	core->K_DirectChange(k.path(), k.value());
}


void KInterface::directChange(const CDType & k, double v) {
	core->K_DirectChange(k.path(), PIString::fromNumber(v));
}
